//---- RECUPERA PARAMETRO DE LA URL -----------

function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return"";
	else
		return results[1];
}

//----------------------------------

function cargar_periodos(){

var parametros = {"accion":'periodos'};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#periodos").html(response);
           }
        });
        
mostrar_grados();        
}

function mostrar_grados(){

var parametros = {"accion":'grados'};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#grados").html(response);
           }
        });

}

//-------------------------------------

function mostrar_grupos(){

var g=document.getElementById('grados').value;

var parametros = {"accion":'grupos',"grado":g};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){

                        $("#grupos").html(response);
           }
        });

}

//-------------------------------------
function consulta_alumnos(){

var grado=document.getElementById('grados').value;;
var curso=document.getElementById('grupos').value;;

document.getElementById('laborac').innerHTML='';

var p=document.getElementById('periodos').value;

if (p=='0'){
    alert("SELECCIONE TRIMESTRE");
    limpiar();
    exit;
}


var parametros = {"accion":'listado_alumnos',"periodo":p,"grado":grado,"curso":curso};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post',
                success:function (response){
                        $("#laborac").html(response);
           }
        });
}

//--------------------------------------

function activar_alumno(codigo){

var cd=document.getElementById(codigo).checked;
var p=document.getElementById('periodos').value;

var parametros = {"accion":'activar_alumno',"codigo":codigo,"periodo":p,"estado":cd};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post'

        });

}

//--------------------------------------

function retornar(){
 
    var cod=parametro('id');
    window.location.href='../menu.php';

}

//-------------------------------------
function limpiar(){

   document.getElementById('laborac').innerHTML='';

}

//--------------------------------------------------

function  marcar1(chk) {

    var padreDIV=chk;
    while( padreDIV.nodeType==1 && padreDIV.tagName.toUpperCase()!="DIV" )
        padreDIV=padreDIV.parentNode;
    //ahora que padreDIV es el DIV, cogeremos todos sus checkboxes
    var padreDIVinputs=padreDIV.getElementsByTagName("input");

    for(var i=0; i<padreDIVinputs.length; i++) {
        if( padreDIVinputs[i].getAttribute("type")=="checkbox" )
            padreDIVinputs[i].checked = chk.checked;
    }

     //-----------------------------------------------------------

     var grado=parametro('grado');
     var curso=parametro('curso');
     var p=document.getElementById('periodos').value;

     var estado=document.getElementById('casilla1').checked;


      var parametros = {"accion":'marcar_desmarcar_alumnos',"grado":grado,"curso":curso,"periodo":p,"estado":estado};
        $.ajax({
                data:  parametros,
                url:   'consultas.php',
                type:  'post'

        });

}

